Bug 1572681 - [abrt] goldendict: std::__replacement_assert(): goldendict killed by SIGABRT
Summary: [abrt] goldendict: std::__replacement_assert(): goldendict killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: goldendict
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mosaab Alzoubi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:40766fb065da140d2a53bcd70f7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 14:58 UTC by Kamil Páral
Modified: 2019-02-27 01:15 UTC (History)
7 users (show)

Fixed In Version: goldendict-1.5-0.19.RC2.fc29 goldendict-1.5-0.19.RC2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-16 01:57:23 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (141.14 KB, text/plain)
2018-04-27 14:58 UTC, Kamil Páral
no flags Details
File: cgroup (195 bytes, text/plain)
2018-04-27 14:58 UTC, Kamil Páral
no flags Details
File: core_backtrace (16.01 KB, text/plain)
2018-04-27 14:58 UTC, Kamil Páral
no flags Details
File: cpuinfo (1.31 KB, text/plain)
2018-04-27 14:58 UTC, Kamil Páral
no flags Details
File: dso_list (18.10 KB, text/plain)
2018-04-27 14:58 UTC, Kamil Páral
no flags Details
File: environ (4.25 KB, text/plain)
2018-04-27 14:58 UTC, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-27 14:58 UTC, Kamil Páral
no flags Details
File: maps (85.48 KB, text/plain)
2018-04-27 14:58 UTC, Kamil Páral
no flags Details
File: mountinfo (4.14 KB, text/plain)
2018-04-27 14:58 UTC, Kamil Páral
no flags Details
File: open_fds (1.26 KB, text/plain)
2018-04-27 14:58 UTC, Kamil Páral
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2018-04-27 14:58 UTC, Kamil Páral
no flags Details
var log messages (2.34 KB, text/plain)
2018-06-18 17:14 UTC, Yura
no flags Details

Description Kamil Páral 2018-04-27 14:58:31 UTC
Description of problem:
Happened right after login.

Version-Release number of selected component:
goldendict-1.5-0.15.RC2.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/goldendict
crash_function: std::__replacement_assert
executable:     /usr/bin/goldendict
journald_cursor: s=87214059d4614bc48d0fe429972a6a95;i=3f6e8;b=c742f0be978b4ff4b00bfd876fd0568f;m=161b360;t=56ad5944a37b6;x=7f626a94ac434981
kernel:         4.16.4-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Kamil Páral 2018-04-27 14:58:40 UTC
Created attachment 1427708 [details]
File: backtrace

Comment 2 Kamil Páral 2018-04-27 14:58:41 UTC
Created attachment 1427710 [details]
File: cgroup

Comment 3 Kamil Páral 2018-04-27 14:58:44 UTC
Created attachment 1427713 [details]
File: core_backtrace

Comment 4 Kamil Páral 2018-04-27 14:58:46 UTC
Created attachment 1427714 [details]
File: cpuinfo

Comment 5 Kamil Páral 2018-04-27 14:58:48 UTC
Created attachment 1427715 [details]
File: dso_list

Comment 6 Kamil Páral 2018-04-27 14:58:49 UTC
Created attachment 1427716 [details]
File: environ

Comment 7 Kamil Páral 2018-04-27 14:58:50 UTC
Created attachment 1427717 [details]
File: limits

Comment 8 Kamil Páral 2018-04-27 14:58:55 UTC
Created attachment 1427718 [details]
File: maps

Comment 9 Kamil Páral 2018-04-27 14:58:56 UTC
Created attachment 1427719 [details]
File: mountinfo

Comment 10 Kamil Páral 2018-04-27 14:58:58 UTC
Created attachment 1427720 [details]
File: open_fds

Comment 11 Kamil Páral 2018-04-27 14:58:59 UTC
Created attachment 1427721 [details]
File: proc_pid_status

Comment 12 Sally A. Haj 2018-04-30 05:57:48 UTC
I have a problem with Goldendict as well, it was okay with F27, but with F28 it doesn't work, when I run it I get this:

"sni-qt/18644" WARN  10:59:57.476 void StatusNotifierItemFactory::connectToSnw() Invalid interface to SNW_SERVICE 
libpng warning: iCCP: known incorrect sRGB profile
/usr/include/c++/8/bits/stl_vector.h:1010: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::front() [with _Tp = char; _Alloc = std::allocator<char>; std::vector<_Tp, _Alloc>::reference = char&]: Assertion '__builtin_expect(!this->empty(), true)' failed.
Aborted (core dumped)

I don't know if it's the same issue with this report or not.

Comment 13 Kamil Páral 2018-04-30 07:39:58 UTC
Similar problem has been detected:

Goldendict should autostart with session, but crashes on login instead.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/goldendict
crash_function: std::__replacement_assert
executable:     /usr/bin/goldendict
journald_cursor: s=87214059d4614bc48d0fe429972a6a95;i=41d97;b=bda8a8c18f1641f0b416cc48c7115144;m=1715826;t=56ae4da684f26;x=cc009cf11088aa3b
kernel:         4.16.4-300.fc28.x86_64
package:        goldendict-1.5-0.15.RC2.fc28
reason:         goldendict killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Kamil Páral 2018-04-30 07:41:41 UTC
Right, this is not just about autostart. Goldendict can't be run at all, crashes every time.

Comment 15 Marek Novotny 2018-05-14 11:47:40 UTC
I am experiencing very the same behavior - crashing on the start.

Comment 16 Yura 2018-06-18 17:14:13 UTC
Created attachment 1452687 [details]
var log messages

Confirmed the same behavior on the upgraded system 26->28

attached output of:
tail -n 200 messages|grep goldendict

Comment 17 Yura 2018-06-19 04:59:04 UTC
additionally current git goldendict compiled fine and runs without crashing
1.5.0-RC2-315-g48e850c

Comment 18 Sally A. Haj 2018-06-19 16:11:27 UTC
Yes Yura, it works just fine with compiled goldendict 1.5.0-RC2-315-g48e850c, but it takes time for finding the dependencies, so who ever wants to compiled it from the source till the package get ready, just follow these lines:

sudo dnf install hunspell-devel libvorbis-devel ffmpeg qt5-qtbase-devel libao-devel ffmpeg-devel qt5-qtsvg-devel qt5-qtx11extras-devel qt5-qttools-devel libXtst-devel eb-devel bzip2-devel lzo-devel libtiff-devel qt5-qtmultimedia-devel

git clone git://github.com/goldendict/goldendict.git
cd goldendict
qmake-qt5
make
sudo make install

Comment 19 Nit Kam 2018-07-04 22:08:48 UTC
one more package is required to build goldendict.

qt5-qtwebkit-devel

Comment 20 Fedora Update System 2019-02-14 15:40:16 UTC
goldendict-1.5-0.19.RC2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3164196b04

Comment 21 Fedora Update System 2019-02-14 15:40:23 UTC
goldendict-1.5-0.19.RC2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e143e7ddca

Comment 22 Fedora Update System 2019-02-15 01:31:19 UTC
goldendict-1.5-0.19.RC2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e143e7ddca

Comment 23 Fedora Update System 2019-02-15 02:57:20 UTC
goldendict-1.5-0.19.RC2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3164196b04

Comment 24 Sally A. Haj 2019-02-15 08:50:01 UTC
I can confirmed that with the 1.5-0.19.RC2.fc29 version is working with me,
Thanks.

Comment 25 Fedora Update System 2019-02-16 01:57:23 UTC
goldendict-1.5-0.19.RC2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2019-02-27 01:15:37 UTC
goldendict-1.5-0.19.RC2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.